Page MenuHomePhabricator

Epic: Rewriting XTools
Closed, ResolvedPublic

Description

Ranked #5 on the 2016 Community Wishlist Survey

The XTools suite of tools is currently very unstable and impossible to maintain. They are used upwards of 200,000 times a month in 185 languages. Complaints of instability have been ongoing since the author of the most recent rewrite retired in Augst 2014. On average, the tools go down every few hours or so, and we are currently relying on an automated script to monitor and restart them as needed. A complete rewrite is in order to ensure a reliable and stable service for the moderation community.

From T154551: Investigation: Plan for rewriting XTools:
The current components of xTools are as follows (I've already checked off the ones I've converted the code for):

  • Edit Counter
  • Article Info ("Page History")
  • Pages Created
  • Top Edits
  • Range Contributions (not doing in favour of T145912)
  • Article Blamer (not doing, see T165404)
  • Autoblock (not doing in favour of T146414)
  • AdminStats
  • RfX Analysis
  • RfX Vote Counter
  • Quick, Dirty, Simple Edit Counter

In additions, there are three tools currently disabled but have the code still in the codebase:

  • Automated Edits
  • Bash Quotes
  • Scottywong's AdminScore

Related Objects

StatusAssignedTask
ResolvedMatthewrbowker
ResolvedMatthewrbowker
ResolvedMusikAnimal
ResolvedMusikAnimal
ResolvedMusikAnimal
ResolvedMusikAnimal
ResolvedMusikAnimal
ResolvedMusikAnimal
ResolvedMatthewrbowker
ResolvedSamwilson
ResolvedSamwilson
ResolvedSamwilson
ResolvedMusikAnimal
ResolvedSamwilson
ResolvedMusikAnimal
ResolvedSamwilson
ResolvedMusikAnimal
ResolvedMusikAnimal
DuplicateNone
ResolvedSuperyetkin
ResolvedMatthewrbowker
ResolvedSamwilson
ResolvedSamwilson
ResolvedSamwilson
ResolvedMusikAnimal
DeclinedNone
ResolvedMatthewrbowker
Resolvedkaldari
ResolvedMusikAnimal
ResolvedMatthewrbowker
ResolvedMatthewrbowker
ResolvedMatthewrbowker
ResolvedMatthewrbowker
ResolvedSamwilson
DeclinedSamwilson
ResolvedMusikAnimal

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Liuxinyu970226 awarded a token.
DannyH updated the task description. (Show Details)Mar 14 2017, 11:41 PM
MusikAnimal updated the task description. (Show Details)Apr 6 2017, 7:56 PM
Matthewrbowker updated the task description. (Show Details)
DannyH updated the task description. (Show Details)May 15 2017, 9:42 PM
MusikAnimal updated the task description. (Show Details)Sep 30 2017, 4:39 PM
He7d3r added a subscriber: He7d3r.Dec 30 2017, 7:09 PM
Restricted Application added a subscriber: alanajjar. · View Herald TranscriptJan 31 2018, 12:24 AM
Matthewrbowker added a subscriber: Samwilson.EditedFeb 2 2018, 9:24 PM

With T186258 having the RfX tools being moved to their own Tool Labs tool (and the fact that they've been rewritten already), I think it's time to close this. Any objections from Community-Tech, @MusikAnimal or @Samwilson?

MusikAnimal updated the task description. (Show Details)Feb 2 2018, 9:25 PM

I think it's time to close this. Any objections

I think it's time, too! You do the honours :)

Matthewrbowker closed this task as Resolved.Feb 2 2018, 9:27 PM
Matthewrbowker claimed this task.
Matthewrbowker moved this task from Working to Complete on the XTools board.

And we're done here!

Restricted Application added a project: User-Matthewrbowker. · View Herald TranscriptFeb 2 2018, 9:27 PM
Matthewrbowker moved this task from Inbox to Accepted on the User-Matthewrbowker board.

Hooray! Great work. :)

Meno25 removed a subscriber: Meno25.Sep 21 2018, 7:42 PM